<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for STM32L476G-EVAL Applications</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-stm32l476g-eval-applications"><small>Release Notes for</small> <mark>STM32L476G-EVAL Applications</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed by ST under Ultimate Liberty license SLA0044 (the “License”). You may not use this package except in compliance with the License. You may obtain a copy of the License at:</p>
<p><a href="http://www.st.com/SLA0044">http://www.st.com/SLA0044</a></p>
<h1 id="purpose">Purpose</h1>
<p>This directory contains the applications to demonstrate the capabilities of the STM32L476G-EVAL Kit.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section19" checked aria-hidden="true"> <label for="collapse-section19" aria-hidden="true">V1.14.0 / 03-April-2019</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li><p>USB_Device applications</p>
<ul>
<li>Remove useless setting of ep0_mps in usbd_conf.c files</li>
<li>Align USBD_StringSerial[..] array on 4 bytes</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section18" aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V1.13.0 / 27-July-2018</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li><p>STemWin HelloWorld and SampleDemo applications</p>
<ul>
<li>Update EWARM project to STemWIN 5.44</li>
</ul></li>
<li><p>USB Host applications</p>
<ul>
<li>Move to USB Host library v3.3.0</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section17" aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V1.12.0 / 22-May-2018</label>
<div>
<h2 id="no-change">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V1.11.0 / 22-December-2017</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li><p>USB_Device/CDC_Standalone application</p>
<ul>
<li>Fix Zero Length Packet (ZLP) issue</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.10.0 / 13-October-2017</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li><p>FatFs_uSD_DMA_RTOS application</p>
<ul>
<li>Fix MDK-ARM compilation issue</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section14" aria-hidden="true"> <label for="collapse-section14" aria-hidden="true">V1.9.0 / 25-August-2017</label>
<div>
<h2 id="main-changes-4">Main Changes</h2>
<ul>
<li><p>FatFs and USB_Host/MSC applications</p>
<ul>
<li>Align to latest FatFs R0.12c version</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section120" aria-hidden="true"> <label for="collapse-section120" aria-hidden="true">V1.8.1 / 16-June-2017</label>
<div>
<h2 id="main-changes-5">Main Changes</h2>
<ul>
<li><p>STemWin applications</p>
<ul>
<li>Fix SW4STM32 Linux compilation</li>
</ul></li>
<li><p>USB_Device applications</p>
<ul>
<li>Fix UID address</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section12" aria-hidden="true"> <label for="collapse-section12" aria-hidden="true">V1.8.0 / 21-April-2017</label>
<div>
<h2 id="main-changes-6">Main Changes</h2>
<ul>
<li><p>USB_Device applications</p>
<ul>
<li>Fix MSI configuration</li>
<li>CDC_Standalone application: USB device CDC descriptor updated for Windows 10</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section11" aria-hidden="true"> <label for="collapse-section11" aria-hidden="true">V1.7.0 / 17-February-2017</label>
<div>
<h2 id="main-changes-7">Main Changes</h2>
<ul>
<li><p>FatFs_uSD, FatFs_uSD_RTOS and USB_Host\CDC_Standalone applications</p>
<ul>
<li>Align to latest FatFs R0.11 version </li>
<li>Update of MDK-ARM, TrueSTUDIO and SW4STM32 projects configurations</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section10" aria-hidden="true"> <label for="collapse-section10" aria-hidden="true">V1.6.0 / 28-October-2016</label>
<div>
<h2 id="main-changes-8">Main Changes</h2>
<ul>
<li><p>STemWin_HelloWorld and STemWin_SampleDemo applications</p>
<ul>
<li>Align to latest STemWin library updated from SEGGER emWin V5.32</li>
<li>Update of MDK-ARM project configurations</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section9" aria-hidden="true"> <label for="collapse-section9" aria-hidden="true">V1.5.2 / 12-September-2016</label>
<div>
<h2 id="main-changes-9">Main Changes</h2>
<ul>
<li><p>FatFS, IAP, STemWin, USB Host and USB Device applications</p>
<ul>
<li>Fix MDK-ARM stack/heap declarations</li>
</ul></li>
<li><p>STemWin_SampleDemo application</p>
<ul>
<li>Fix EWARM, SW4STM32 and TrueSTUDIO project configurations</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section8" aria-hidden="true"> <label for="collapse-section8" aria-hidden="true">V1.5.0 / 29-April-2016</label>
<div>
<h2 id="main-changes-10">Main Changes</h2>
<ul>
<li><p>USB Host and Device applications</p>
<ul>
<li>Update to use PLLSAI1 output clock for 48Mhz clock</li>
<li>Fix LPM in USB_Device/HID_Standalone_LPM application<br />
</li>
</ul></li>
<li><p>FreeRTOS applications / FatFs_uSD_RTOS</p>
<ul>
<li>For RTOS cohabitation HAL library is now based on 1ms timebase from TIM peripheral (new file stm32l4xx_hal_timebase_tim.c added in project)</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section7" aria-hidden="true"> <label for="collapse-section7" aria-hidden="true">V1.4.0 / 26-February-2016</label>
<div>
<h2 id="no-change-1">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section6" aria-hidden="true"> <label for="collapse-section6" aria-hidden="true">V1.3.0 / 29-January-2016</label>
<div>
<h2 id="main-changes-11">Main Changes</h2>
<ul>
<li>STM2Cube Level 1 &amp; 2 source files license model changed from "Liberty" to new license "Ultimate Liberty"</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section5" aria-hidden="true"> <label for="collapse-section5" aria-hidden="true">V1.2.0 / 25-November-2015</label>
<div>
<h2 id="main-changes-12">Main Changes</h2>
<ul>
<li><p>FreeRTOS_SignalFromISR application</p>
<ul>
<li>Fix led toggling as described in readme.txt</li>
</ul></li>
<li><p>TouchSensing_1touchkey Application</p>
<ul>
<li>Update following new validation after IO Default state management in HAL TSC</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section4" aria-hidden="true"> <label for="collapse-section4" aria-hidden="true">V1.1.1 / 16-October-2015</label>
<div>
<h2 id="main-changes-13">Main Changes</h2>
<ul>
<li><p>Fine-tuning of all Applications projects: stm32l4xx_hal_conf.h files updated to set Flash prefetch off in line with default system configuration.</p></li>
<li><p>STemWin_SampleDemo Application</p>
<ul>
<li>MDK-ARM project settings updated to link to Keil STemWin library version</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section3" aria-hidden="true"> <label for="collapse-section3" aria-hidden="true">V1.1.0 / 16-September-2015</label>
<div>
<h2 id="main-changes-14">Main Changes</h2>
<ul>
<li><p>Add support of System Workbench for STM32 (SW4STM32) toolchain</p></li>
<li><p>Apply GPIO_SPEED_FREQ_xxx new definitions from HAL GPIO</p></li>
<li><p>FatFs</p>
<ul>
<li>New application FatFs_uSD_RTOS</li>
</ul></li>
<li><p>FreeRTOS</p>
<ul>
<li>Reduce FreeRTOS heap size accordingly to OS resources used inside the application with a margin of 10% rounded to the upper Kb. The FreeRTOS heap size is down to 2 or 3 Kb instead of default 15 Kb (see TOTAL_HEAP_SIZE in FreeRTOSConfig.h)</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section2" aria-hidden="true"> <label for="collapse-section2" aria-hidden="true">V1.0.0 / 26-June-2015</label>
<div>
<h2 id="main-changes-15">Main Changes</h2>
<ul>
<li>First official release</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
